dev-lang / php

The PHP language runtime engine

Official package sites : https://php.net/ ·

v7.3.5 :: 7.3 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
arm64 ~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~hppa ~ia64 ~mips ~ppc ~ppc-macos ~ppc64 ~s390 ~sh ~sparc ~x64-macos ~x86 ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 argon2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libressl lmdb mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar phpdbg posix postgres qdbm readline recode selinux session session-mm sharedmem simplexml snmp soap sockets sodium spell sqlite ssl systemd sysvipc test threads tidy tokenizer tokyocabinet truetype unicode wddx webp xml xmlreader xmlrpc xmlwriter xpm xslt zip zip-encryption zlib

v7.2.18 :: 7.2 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc-macos ~ppc64 ~s390 ~sh ~sparc ~x64-macos ~x86 ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 argon2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libressl lmdb mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar phpdbg posix postgres qdbm readline recode selinux session session-mm sharedmem simplexml snmp soap sockets sodium spell sqlite ssl systemd sysvipc test threads tidy tokenizer tokyocabinet truetype unicode wddx webp xml xmlreader xmlrpc xmlwriter xpm xslt zip zip-encryption zlib

v7.2.16 :: 7.2 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-fbsd ~amd64-linux ~mips ~ppc-macos ~s390 ~sh ~x64-macos ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 argon2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libressl lmdb mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar phpdbg posix postgres qdbm readline recode selinux session session-mm sharedmem simplexml snmp soap sockets sodium spell sqlite ssl systemd sysvipc test threads tidy tokenizer tokyocabinet truetype unicode wddx webp xml xmlreader xmlrpc xmlwriter xpm xslt zip zip-encryption zlib

v7.1.29 :: 7.1 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc-macos ~ppc64 ~s390 ~sh ~sparc ~x64-macos ~x86 ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage crypt ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libressl mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar phpdbg posix postgres qdbm readline recode selinux session session-mm sharedmem simplexml snmp soap sockets spell sqlite ssl systemd sysvipc test threads tidy tokenizer truetype unicode wddx webp xml xmlreader xmlrpc xmlwriter xpm xslt zip zlib

v7.1.27 :: 7.1 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
alpha amd64 arm arm64 hppa ia64 ppc ppc64 sparc x86 ~amd64-fbsd ~amd64-linux ~mips ~ppc-macos ~s390 ~sh ~x64-macos ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage crypt ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libressl mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar phpdbg posix postgres qdbm readline recode selinux session session-mm sharedmem simplexml snmp soap sockets spell sqlite ssl systemd sysvipc test threads tidy tokenizer truetype unicode wddx webp xml xmlreader xmlrpc xmlwriter xpm xslt zip zlib

v5.6.40-r3 :: 5.6 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc-macos ~ppc64 ~s390 ~sh ~sparc ~x64-macos ~x86 ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage crypt ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libmysqlclient libressl mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar posix postgres qdbm readline recode selinux session sharedmem simplexml snmp soap sockets spell sqlite ssl sybase-ct systemd sysvipc threads tidy tokenizer truetype unicode vpx wddx xml xmlreader xmlrpc xmlwriter xpm xslt zip zlib

v5.6.40-r2 :: 5.6 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
~alpha ~amd64 ~amd64-fbsd ~amd64-linux ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc-macos ~ppc64 ~s390 ~sh ~sparc ~x64-macos ~x86 ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage crypt ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libmysqlclient libressl mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar posix postgres qdbm readline recode selinux session sharedmem simplexml snmp soap sockets spell sqlite ssl sybase-ct systemd sysvipc threads tidy tokenizer truetype unicode vpx wddx xml xmlreader xmlrpc xmlwriter xpm xslt zip zlib

v5.6.40-r1 :: 5.6 :: gentoo

Modified
License
PHP-3.01 BSD Zend-2.0 bcmath? ( LGPL-2.1+ ) fpm? ( BSD-2 ) gd? ( gd ) unicode? ( BSD-2 LGPL-2.1 )
Keywords
alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~amd64-fbsd ~amd64-linux ~arm64 ~mips ~ppc-macos ~s390 ~sh ~x64-macos ~x86-fbsd ~x86-linux ~x86-macos
USE flags
acl apache2 bcmath berkdb bzip2 calendar cdb cgi cjk cli coverage crypt ctype curl debug embed enchant exif fileinfo filter firebird flatfile fpm ftp gd gdbm gmp hash iconv imap inifile intl iodbc ipv6 json kerberos ldap ldap-sasl libedit libmysqlclient libressl mhash mssql mysql mysqli nls oci8-instant-client odbc opcache pcntl pdo phar posix postgres qdbm readline recode selinux session sharedmem simplexml snmp soap sockets spell sqlite ssl sybase-ct systemd sysvipc threads tidy tokenizer truetype unicode vpx wddx xml xmlreader xmlrpc xmlwriter xpm xslt zip zlib

General

acl
Add support for Access Control Lists
apache2
Add Apache2 support
argon2
Enable password hashing algorithm from app-crypt/argon2
bcmath
Add support for libbcmath
berkdb
Add support for sys-libs/db (Berkeley DB for MySQL)
bzip2
Use the bzlib compression library
calendar
Add support for calendars (not using mcal!)
cdb
Add support for the CDB database engine from the author of qmail
cgi
Add CGI script support
cjk
Add support for Multi-byte character languages (Chinese, Japanese, Korean)
cli
Enable CLI SAPI
coverage
Include gcov symbols for test coverage and lcov reports. Only useful for extension developers, and requires GCC.
crypt
Add support for encryption -- using mcrypt or gpg where applicable
ctype
Enable ctype functions
curl
Add support for client-side URL transfer library
debug
Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
embed
Enable embed SAPI
enchant
Add supports Enchant spelling library.
exif
Add support for reading EXIF headers from JPEG and TIFF images
fileinfo
Add fileinfo extension support
filter
Add filter extension support
firebird
Add support for the Firebird relational database
flatfile
Add dbm support for flat files
fpm
Enable the FastCGI Process Manager SAPI
ftp
Add FTP (File Transfer Protocol) support
gd
Adds support for gd (bundled with PHP)
gdbm
Add support for sys-libs/gdbm (GNU database libraries)
gmp
Add support for dev-libs/gmp (GNU MP library)
hash
Enable the hash extension
iconv
Enable support for the iconv character set conversion library
imap
Add support for IMAP (Internet Mail Application Protocol)
inifile
Add dbm support for .ini files
intl
Enables the intl extension for extended internalization support
iodbc
Add support for iODBC library
ipv6
Add support for IP version 6
json
Enable JSON support
kerberos
Add kerberos support
ldap
Add LDAP support (Lightweight Directory Access Protocol)
ldap-sasl
Add SASL support for the PHP LDAP extension
libedit
Use the libedit library (replacement for readline)
libmysqlclient
Use libmyslclient driver for mysql, mysqli, PDO_Mysql (not recommended)
libressl
Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)
lmdb
Enable support for dev-db/lmdb db backend
mhash
Add support for the mhash library
mssql
Add support for Microsoft SQL Server database
mysql
Add mySQL Database support
mysqli
Add support for the improved mySQL libraries
nls
Add Native Language Support (using gettext - GNU locale utilities)
oci8-instant-client
Use dev-db/oracle-instantclient-basic as Oracle provider instead of requiring a full Oracle server install
odbc
Add ODBC Support (Open DataBase Connectivity)
opcache
Enables built-in opcode cache, replacing pecl-apc et al.
pcntl
Add support for process creation functions
pdo
Enable the bundled PDO extensions
phar
Enables the phar extension to provide phar archive support
phpdbg
Enable the PHP Debug Command Line SAPI (like gdb for php)
posix
Add support for POSIX-compatible functions
postgres
Add support for the postgresql database
qdbm
Add support for the qdbm (Quick Database Manager) library
readline
Enable support for libreadline, a GNU line-editing library that almost everyone wants
recode
Enable support for the GNU recode library
selinux
!!internal use only!! Security Enhanced Linux support, this must be set by the selinux profile or breakage will occur
session
Add persistent session support
session-mm
Include dev-libs/mm support for session storage
sharedmem
Add support for shared memory use
simplexml
Support for SimpleXML
snmp
Add support for the Simple Network Management Protocol if available
soap
Add support for SOAP (Simple Object Access Protocol)
sockets
Add support for tcp/ip sockets
sodium
Enable support for crypto through dev-libs/libsodium
spell
Add dictionary support
sqlite
Add support for sqlite - embedded sql database
ssl
Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
sybase-ct
Add support for Sybase-CT
systemd
Enable use of systemd-specific libraries and features like socket activation or session tracking
sysvipc
Support for System V-compatible inter-process communication
test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)
threads
Add threads support for various packages. Usually pthreads
tidy
Add support for HTML Tidy
tokenizer
Add support for the PHP file parser
tokyocabinet
Enable support for dev-db/tokyocabinet db backend
truetype
Add support for FreeType and/or FreeType2 fonts
unicode
Add support for Unicode
vpx
Enable webp support for GD in php-5.x
wddx
Add support for Web Distributed Data eXchange
webp
Enable webp support for GD in php-7.x
xml
Add support for XML files
xmlreader
Enable XMLReader support
xmlrpc
Support for xml-rpc library
xmlwriter
Enable XMLWriter support
xpm
Add support for XPM graphics format
xslt
Enable the XSL extension
zip
Enable support for ZIP archives
zip-encryption
Enable ZIP file encryption from dev-libs/libzip
zlib
Add support for zlib (de)compression

app-arch / bzip2 : A high-quality data compressor used extensively by Gentoo Linux

app-arch / xz-utils : utils for managing LZMA compressed files

app-crypt / argon2 : Password hashing software that won the Password Hashing Competition (PHC)

app-eselect / eselect-php : PHP eselect module

app-text / aspell : A spell checker replacement for ispell

app-text / enchant : Spellchecker wrapping library

app-text / htmltidy : Tidy the layout and correct errors in HTML and XML documents

app-text / recode : Convert files between various character sets

app-text / tidy-html5 : Tidy the layout and correct errors in HTML, HTML5 and XML documents

dev-db / cdb : Fast, reliable, simple package for creating and reading constant databases

dev-db / firebird : Relational database offering many ANSI SQL:2003 and some SQL:2008 features

dev-db / freetds : Tabular Datastream Library

dev-db / libiodbc : ODBC Interface for Linux

dev-db / lmdb : An ultra-fast, ultra-compact key-value embedded data store

dev-db / oracle-instantclient-basic : Transition package moving to single dev-db/oracle-instantclient package

dev-db / postgresql : PostgreSQL RDBMS

dev-db / qdbm : Quick Database Manager

dev-db / sqlite : SQL database engine

dev-db / tinycdb : A very fast and simple package for creating and reading constant data bases

dev-db / tokyocabinet : A library of routines for managing a database

dev-db / unixODBC : A complete ODBC driver manager

dev-libs / cyrus-sasl : The Cyrus SASL (Simple Authentication and Security Layer)

dev-libs / gmp : Library for arbitrary-precision arithmetic on different type of numbers

dev-libs / icu : International Components for Unicode

dev-libs / libedit : BSD replacement for libreadline

dev-libs / libmcrypt : libmcrypt provides uniform interface to access several encryption algorithms

dev-libs / libpcre : Perl-compatible regular expression library

dev-libs / libpcre2 : Perl-compatible regular expression library

dev-libs / libressl : Free version of the SSL/TLS protocol forked from OpenSSL

dev-libs / libsodium : A portable fork of NaCl, a higher-level cryptographic library

dev-libs / libxml2 : XML C parser and toolkit

dev-libs / libxslt : XSLT libraries and tools

dev-libs / libzip : Library for manipulating zip archives

dev-libs / mm : Shared Memory Abstraction Library

dev-libs / oniguruma : Regular expression library for different character encodings

dev-libs / openssl : full-strength general purpose cryptography library (including SSL and TLS)

dev-util / lcov : A graphical front-end for GCC's coverage testing tool gcov

media-libs / freetype : A high-quality and portable font engine

media-libs / libpng : Portable Network Graphics library

media-libs / libvpx : WebM VP8 and VP9 Codec SDK

media-libs / libwebp : A lossy image compression format

media-libs / t1lib : A Type 1 Font Rasterizer Library for UNIX/X11

net-analyzer / net-snmp : Software for generating and retrieving SNMP data

net-misc / curl : A Client that groks URLs

net-nds / openldap : LDAP suite of application and development tools

sys-apps / acl : access control list utilities, libraries and headers

sys-devel / bison : A general-purpose (yacc-compatible) parser generator

sys-devel / flex : The Fast Lexical Analyzer

sys-devel / gettext : GNU locale utilities

sys-devel / libtool : A shared library tool for developers

sys-devel / m4 : GNU macro processor

sys-freebsd / freebsd-lib : FreeBSD's base system libraries

sys-libs / db : Oracle Berkeley DB

sys-libs / gdbm : Standard GNU database libraries

sys-libs / readline : Another cute console display library

sys-libs / zlib : Standard (de)compression library

virtual / imap-c-client : Virtual for IMAP c-client

virtual / jpeg : A virtual for the libjpeg.so.62 ABI for binary-only programs

virtual / krb5 : Virtual for Kerberos V implementation

virtual / libiconv : Virtual for the GNU conversion library

virtual / libmysqlclient : Virtual for MySQL client libraries

www-servers / apache : The Apache Web Server

x11-libs / libXpm : X.Org Xpm library

app-arch / bzip2 : A high-quality data compressor used extensively by Gentoo Linux

app-crypt / argon2 : Password hashing software that won the Password Hashing Competition (PHC)

app-eselect / eselect-php : PHP eselect module

app-text / aspell : A spell checker replacement for ispell

app-text / enchant : Spellchecker wrapping library

app-text / htmltidy : Tidy the layout and correct errors in HTML and XML documents

app-text / recode : Convert files between various character sets

app-text / tidy-html5 : Tidy the layout and correct errors in HTML, HTML5 and XML documents

dev-db / cdb : Fast, reliable, simple package for creating and reading constant databases

dev-db / firebird : Relational database offering many ANSI SQL:2003 and some SQL:2008 features

dev-db / freetds : Tabular Datastream Library

dev-db / libiodbc : ODBC Interface for Linux

dev-db / lmdb : An ultra-fast, ultra-compact key-value embedded data store

dev-db / oracle-instantclient-basic : Transition package moving to single dev-db/oracle-instantclient package

dev-db / postgresql : PostgreSQL RDBMS

dev-db / qdbm : Quick Database Manager

dev-db / sqlite : SQL database engine

dev-db / tinycdb : A very fast and simple package for creating and reading constant data bases

dev-db / tokyocabinet : A library of routines for managing a database

dev-db / unixODBC : A complete ODBC driver manager

dev-libs / cyrus-sasl : The Cyrus SASL (Simple Authentication and Security Layer)

dev-libs / gmp : Library for arbitrary-precision arithmetic on different type of numbers

dev-libs / icu : International Components for Unicode

dev-libs / libedit : BSD replacement for libreadline

dev-libs / libmcrypt : libmcrypt provides uniform interface to access several encryption algorithms

dev-libs / libpcre : Perl-compatible regular expression library

dev-libs / libpcre2 : Perl-compatible regular expression library

dev-libs / libressl : Free version of the SSL/TLS protocol forked from OpenSSL

dev-libs / libsodium : A portable fork of NaCl, a higher-level cryptographic library

dev-libs / libxml2 : XML C parser and toolkit

dev-libs / libxslt : XSLT libraries and tools

dev-libs / libzip : Library for manipulating zip archives

dev-libs / mm : Shared Memory Abstraction Library

dev-libs / oniguruma : Regular expression library for different character encodings

dev-libs / openssl : full-strength general purpose cryptography library (including SSL and TLS)

dev-util / lcov : A graphical front-end for GCC's coverage testing tool gcov

media-libs / freetype : A high-quality and portable font engine

media-libs / libpng : Portable Network Graphics library

media-libs / libvpx : WebM VP8 and VP9 Codec SDK

media-libs / libwebp : A lossy image compression format

media-libs / t1lib : A Type 1 Font Rasterizer Library for UNIX/X11

net-analyzer / net-snmp : Software for generating and retrieving SNMP data

net-misc / curl : A Client that groks URLs

net-nds / openldap : LDAP suite of application and development tools

sec-policy / selinux-phpfpm : SELinux policy for phpfpm

sys-apps / acl : access control list utilities, libraries and headers

sys-apps / systemd : System and service manager for Linux

sys-devel / gettext : GNU locale utilities

sys-freebsd / freebsd-lib : FreeBSD's base system libraries

sys-libs / db : Oracle Berkeley DB

sys-libs / gdbm : Standard GNU database libraries

sys-libs / readline : Another cute console display library

sys-libs / zlib : Standard (de)compression library

virtual / imap-c-client : Virtual for IMAP c-client

virtual / jpeg : A virtual for the libjpeg.so.62 ABI for binary-only programs

virtual / krb5 : Virtual for Kerberos V implementation

virtual / libiconv : Virtual for the GNU conversion library

virtual / libmysqlclient : Virtual for MySQL client libraries

virtual / mta : Virtual for Message Transfer Agents

www-servers / apache : The Apache Web Server

x11-libs / libXpm : X.Org Xpm library

app-admin / drush : Command line shell and scripting interface for Drupal

app-emulation / phpvirtualbox : Web-based administration for VirtualBox in PHP

app-text / XML-Schema-learner : Algorithmic inferencing of XML schema definitions and DTDs

app-text / refbase : Web-based solution for managing scientific literature, references and citations

dev-db / phpmyadmin : Web-based administration for MySQL database in PHP

dev-libs / Ice : ICE middleware C++ library and generator tools

dev-libs / ossp-uuid : An ISO-C:1999 API with CLI for generating DCE, ISO/IEC and RFC compliant UUID

dev-libs / redland-bindings : Language bindings for Redland

dev-libs / xapian-bindings : SWIG and JNI bindings for Xapian

dev-php / File_Iterator : FilterIterator implementation that filters files based on criteria

dev-php / PEAR-Archive_Tar : Tar file management class

dev-php / PEAR-Console_CommandLine : A full-featured command-line options and arguments parser

dev-php / PEAR-Console_Getopt : Command-line option parser

dev-php / PEAR-Crypt_CHAP : Generating CHAP packets

dev-php / PEAR-Crypt_GPG : PHP interface to the GNU Privacy Guard (GnuPG)

dev-php / PEAR-Exception : The PEAR Exception base class

dev-php / PEAR-File_Archive : Easily manipulate archives in PHP

dev-php / PEAR-File_Find : A class that facillitates the search of filesystems

dev-php / PEAR-File_Fortune : Interface for reading from and writing to fortune files

dev-php / PEAR-File_SMBPasswd : Class for managing SAMBA style password files

dev-php / PEAR-HTML_QuickForm2 : Creating, validating, processing HTML forms methods (PHP5 optimize)

dev-php / PEAR-HTML_Template_Sigma : An implementation of Integrated Templates API with template 'compilation' added

dev-php / PEAR-HTTP_Header : Handle and modify HTTP headers and status codes in PHP

dev-php / PEAR-HTTP_Request2 : Provides an easy way to perform HTTP requests

dev-php / PEAR-Image_Text : Advanced text manipulations in images

dev-php / PEAR-Log : The Log framework provides an abstracted logging system

dev-php / PEAR-MDB2_Driver_mssql : Database Abstraction Layer, mssql driver

dev-php / PEAR-MDB2_Driver_mysql : Database Abstraction Layer, mysql driver

dev-php / PEAR-MDB2_Driver_mysqli : Database Abstraction Layer, mysqli driver

dev-php / PEAR-MDB2_Driver_oci8 : Database Abstraction Layer, oci8 driver

dev-php / PEAR-MDB2_Driver_pgsql : Database Abstraction Layer, pgsql driver

dev-php / PEAR-MIME_Type : Utility class for dealing with MIME types

dev-php / PEAR-Math_BigInteger : Pure-PHP arbitrary precision integer arithmetic library

dev-php / PEAR-Net_DNS2 : Object-oriented PHP5 resolver library used to communicate with a DNS server

dev-php / PEAR-Net_DNSBL : PHP library to query DNS blacklists

dev-php / PEAR-Net_LDAP2 : OO interface for searching and manipulating LDAP-entries

dev-php / PEAR-Net_LDAP3 : PEAR:Net_LDAP2 successor, provides functionality for accessing LDAP

dev-php / PEAR-Net_Ping : OS independent wrapper class for executing ping calls

dev-php / PEAR-Net_SMTP : A PHP implementation of the SMTP protocol

dev-php / PEAR-Net_Sieve : An API for talking to sieve (RFC 3028) servers

dev-php / PEAR-Net_SmartIRC : PHP class to communicate with IRC networks

dev-php / PEAR-Numbers_Words : Provides methods for spelling numerals in words

dev-php / PEAR-PEAR : PEAR Base System

dev-php / PEAR-PEAR_PackageFileManager : Updates an existing package.xml file with a new filelist and changelog

dev-php / PEAR-PEAR_PackageFileManager2 : Updates an existing package.xml file with a new filelist and changelog

dev-php / PEAR-PEAR_PackageFileManager_Plugins : Various methods to check files to update an existing package.xml file

dev-php / PEAR-PHP_Beautifier : Code Beautifier for PHP

dev-php / PEAR-Pager : Data paging class

dev-php / PEAR-Services_TinyURL : An interface for creating and retrieving TinyURLs with their API

dev-php / PEAR-Services_W3C_CSSValidator : Provides an object oriented interface for the W3 CSS Validator

dev-php / PEAR-Spreadsheet_Excel_Writer : Package for generating Excel spreadsheets

dev-php / PEAR-Structures_Graph : Graph datastructure manipulation library

dev-php / PEAR-System_Command : PHP command-line execution interface

dev-php / PEAR-Text_CAPTCHA : Generation of CAPTCHAs

dev-php / PEAR-Text_Figlet : Render text using FIGlet fonts

dev-php / PEAR-Text_Highlighter : A package for syntax highlighting

dev-php / PEAR-Text_Password : Creating passwords with PHP

dev-php / PEAR-XML_RSS : PHP parser for RDF and RSS documents

dev-php / PEAR-XML_Serializer : Swiss-army knife for reading and writing XML files

dev-php / PEAR-XML_Util : XML utility class

dev-php / PHPMailer : Full-featured email creation and transfer class for PHP

dev-php / PHP_CodeCoverage : Collection, processing, and rendering for PHP code coverage

dev-php / PHP_CodeSniffer : Detect violations of PHP code standards

dev-php / PHP_Timer : Utility class for timing

dev-php / PHP_TokenStream : Wrapper around PHP's tokenizer extension

dev-php / Text_Template : A simple template engine

dev-php / adodb : Database abstraction layer for PHP

dev-php / agavi : PHP MVC application framework

dev-php / awl : Andrew McMillan's Web Libraries

dev-php / ca-bundle : Find the system CA bundle or fall back to the Mozilla one

dev-php / cli-prompt : Allows you to prompt for user input on the command line

dev-php / composer : Dependency Manager for PHP

dev-php / doctrine : An object relational mapper for PHP

dev-php / doctrine-instantiator : Utility to instantiate objects in PHP without invoking their constructors

dev-php / fedora-autoloader : Fedora's Static PSR-4, PSR-0, and classmap autoloader

dev-php / geos-php : A PHP interface to GEOS - Geometry Engine, Open Source

dev-php / igbinary : A fast drop-in replacement for the standard PHP serialize

dev-php / jpgraph : Object-oriented graphing library for PHP

dev-php / json-schema : PHP implementation of JSON schema

dev-php / jsonlint : JSON Lint for PHP

dev-php / libchart : Easy-to-use chart creation library for PHP

dev-php / libvirt-php : PHP bindings for libvirt

dev-php / magickwand : A native PHP-extension to the ImageMagick MagickWand API

dev-php / maxmind-db-reader : PHP reader for the MaxMind database format

dev-php / ming-php : PHP extension for the ming Flash movie generation library

dev-php / mmslib : library for encoding, decoding, and sending MMSes

dev-php / myclabs-deepcopy : Create deep copies (clones) of your objects

dev-php / onphp : onPHP is the LGPL'ed multi-purpose object-oriented PHP framework

dev-php / pecl-amqp : PHP Bindings for AMQP 0-9-1 compatible brokers

dev-php / pecl-apcu : Stripped down version of APC supporting only user cache

dev-php / pecl-apcu_bc : Provides APC backwards compatibility functions via APCu

dev-php / pecl-bbcode : A quick and efficient BBCode Parsing Library

dev-php / pecl-cairo : Cairo bindings for PHP

dev-php / pecl-cassandra : DataStax PHP Driver for Apache Cassandra

dev-php / pecl-crack : PHP interface to the cracklib libraries

dev-php / pecl-dbase : dBase database file access functions

dev-php / pecl-dbx : The dbx module is a database abstraction layer

dev-php / pecl-dio : Direct I/O functions for PHP

dev-php / pecl-eio : PHP wrapper for libeio library

dev-php / pecl-event : PHP wrapper for libevent2

dev-php / pecl-geoip : PHP extension to map IP address to geographic places

dev-php / pecl-gnupg : PHP wrapper around the gpgme library

dev-php / pecl-haru : An interface to libharu, a PDF generator

dev-php / pecl-htscanner : Enables .htaccess options for php-scripts running as cgi

dev-php / pecl-http : Extended HTTP Support for PHP

dev-php / pecl-imagick : PHP wrapper for the ImageMagick library

dev-php / pecl-libevent : PHP wrapper for libevent

dev-php / pecl-lzf : This package handles LZF de/compression

dev-php / pecl-mailparse : PHP extension for parsing and working with RFC822 and MIME compliant messages

dev-php / pecl-mcrypt : Bindings for the libmcrypt library

dev-php / pecl-memcache : PHP extension for using memcached

dev-php / pecl-memcached : Interface PHP with memcached via libmemcached library

dev-php / pecl-mongo : Legacy MongoDB database driver for PHP

dev-php / pecl-mongodb : MongoDB database driver for PHP

dev-php / pecl-mysqlnd_ms : A replication and load balancing plugin for the mysqlnd library

dev-php / pecl-mysqlnd_qc : A query cache plugin for the mysqlnd library

dev-php / pecl-ncurses : Terminal screen handling and optimization package

dev-php / pecl-oauth : OAuth is an authorization protocol built on top of HTTP

dev-php / pecl-pam : This extension provides PAM (Pluggable Authentication Modules) integration

dev-php / pecl-propro : A reusable property proxy API for PHP

dev-php / pecl-ps : PHP extension for creating PostScript files

dev-php / pecl-radius : Provides support for RADIUS authentication (RFC 2865) and accounting (RFC 2866)

dev-php / pecl-raphf : A reusable, persistent handle and resource factory API

dev-php / pecl-redis : PHP extension for interfacing with Redis

dev-php / pecl-rrd : RRDtool bindings for PHP

dev-php / pecl-sphinx : PHP extension to execute search queries on a sphinx daemon

dev-php / pecl-spl_types : Standard PHP library types add-on

dev-php / pecl-ssh2 : PHP bindings for the libssh2 library

dev-php / pecl-stomp : PHP extension to communicate with Stomp message brokers

dev-php / pecl-svn : PHP Bindings for the Subversion Revision control system

dev-php / pecl-taint : Extension used for detecting XSS code (tainted strings)

dev-php / pecl-timezonedb : Timezone Database to be used with PHP's date and time functions

dev-php / pecl-translit : Transliterates non-latin character sets to latin

dev-php / pecl-uploadprogress : An extension to track progress of a file upload

dev-php / pecl-uuid : A wrapper around libuuid

dev-php / pecl-xdiff : PHP extension for generating diff files

dev-php / pecl-xrange : Implementation of weak references

dev-php / pecl-yaml : YAML 1.1 (YAML Ain't Markup Language) serialization for PHP

dev-php / pecl-yaz : This extension implements a Z39.50 client for PHP using the YAZ toolkit

dev-php / pecl-zmq : PHP Bindings for ZeroMQ messaging

dev-php / phar-io-manifest : Reading phar.io manifest information from a PHP Archive (PHAR)

dev-php / phar-io-version : Library for handling version information and constraints

dev-php / phar-utils : PHAR file format utilities, for when PHP phars you up

dev-php / phing : PHP project build system based on Apache Ant

dev-php / php-redmine-api : A simple, object-oriented, PHP Redmine API client

dev-php / phpDocumentor : Automatic documenting of php api directly from the source

dev-php / phpcov : CLI frontend for PHP_CodeCoverage

dev-php / phpdepend : Static code analysis for PHP

dev-php / phpdocumentor-reflection-common : Common reflection classes used by phpdocumentor to reflect the code structure

dev-php / phpdocumentor-reflection-docblock : Provide support for annotations via DocBlocks

dev-php / phpdocumentor-type-resolver : PSR-5 based resolver of Class names, Types and Structural Element Names

dev-php / phpmd : PHP mess detector

dev-php / phpspec-prophecy : Highly opinionated mocking framework

dev-php / phptal : A templating engine for PHP5 that implements Zope Page Templates syntax

dev-php / phpunit : A PHP Unit Testing framework

dev-php / phpunit-mock-objects : Mock Object library for PHPUnit

dev-php / psr-log : Common interface for logging libraries

dev-php / recaptcha : PHP client library for Google's reCAPTCHA service

dev-php / sebastian-code-unit-reverse-lookup : Looks up which function or method a line of code belongs to

dev-php / sebastian-comparator : Compare PHP values for equality

dev-php / sebastian-diff : PHP Diff implementation

dev-php / sebastian-environment : Helps writing PHP code that has runtime-specific execution paths

dev-php / sebastian-exporter : Export PHP variables for visualization

dev-php / sebastian-global-state : Snapshotting of global state

dev-php / sebastian-object-enumerator : Traverses array structures and object graphs to enumerate all referenced objects

dev-php / sebastian-recursion-context : Recursively process PHP variables

dev-php / sebastian-resource-operations : Provides a list of PHP built-in functions that operate on resources

dev-php / sebastian-version : Helps with managing the version number of Git-hosted PHP projects

dev-php / securimage : PHP captcha creator and validator library

dev-php / semver : Semantic versioning utilities, constraint parsing, and checking

dev-php / simpletest : A PHP testing framework

dev-php / smarty : A template engine for PHP

dev-php / spdx-licenses : Tools for working with and validating SPDX licenses

dev-php / stringparser_bbcode : A PHP class to parse BB codes

dev-php / suhosin : Suhosin is an advanced protection system for PHP installations

dev-php / swoole : Event-driven asynchronous & concurrent & coroutine networking engine

dev-php / symfony-config : Symfony Config Component

dev-php / symfony-console : Subtree split of the Symfony Console Component

dev-php / symfony-dependency-injection : Symfony DependencyInjection Component

dev-php / symfony-event-dispatcher : Symfony EventDispatcher Component

dev-php / symfony-filesystem : Symfony Filesystem Component

dev-php / symfony-finder : Symfony Finder Component

dev-php / symfony-process : Symfony Process Component

dev-php / symfony-yaml : Symfony YAML Component

dev-php / tcpdf : TCPDF is a FLOSS PHP class for generating PDF documents

dev-php / theseer-tokenizer : Convert tokenized PHP source code into XML and other formats

dev-php / twig : PHP templating engine with syntax similar to Django

dev-php / webmozart-assert : Assertions to validate method input/output with nice error messages

dev-php / xcache : A fast and stable PHP opcode cacher

dev-php / xdebug : A PHP debugging and profiling extension

dev-php / xdebug-handler : Restart a CLI process without loading the xdebug extension

dev-php / xhprof : A Hierarchical Profiler for PHP

mail-client / roundcube : A browser-based multilingual IMAP client with an application-like user interface

media-gfx / exact-image : A fast, modern and generic image processing library

media-libs / libvpx : WebM VP8 and VP9 Codec SDK

media-libs / lsp-plugins : Linux Studio Plugins

net-analyzer / cacti : Cacti is a complete frontend to rrdtool

net-analyzer / icinga-web : Icinga Web - new Web Interface

net-analyzer / jffnms : Network Management and Monitoring System

net-analyzer / lilac : Web-based configuration tool written to configure Nagios

net-analyzer / nagios-core : Nagios core - monitoring daemon, web GUI, and documentation

net-analyzer / nagtrap : Integrated snmptt visualization addon for the Nagios monitoring system

net-analyzer / pnp4nagios : A performance data analyzer for nagios

net-analyzer / zabbix : ZABBIX is software for monitoring of your applications, network and servers

net-fs / ncpfs : Provides access to Netware services using the NCP protocol

net-irc / weechat : Portable and multi-interface IRC client

net-libs / axtls : Embedded client/server TLSv1 SSL library and small HTTP(S) server

net-nds / phpldapadmin : phpLDAPadmin is a web-based tool for managing all aspects of your LDAP server

sci-geosciences / mapserver : Development environment for building spatially enabled webapps

sci-libs / linux-gpib : Driver library for GPIB (IEEE 488.2) hardware

sys-cluster / ganglia-web : Web frontend for sys-cluster/ganglia

virtual / httpd-php : Virtual to provide PHP-enabled webservers

www-apps / agendav : multilanguage CalDAV web client

www-apps / ampache : PHP-based tool for managing,updating and playing audio files via a web interface

www-apps / baikal : Lightweight CalDAV+CardDAV server

www-apps / cgp : A graphical web-based front-end for visualizing RRD collected by collectd

www-apps / davical : A CalDAV and CardDAV Server

www-apps / dokuwiki : DokuWiki is a simple to use Wiki aimed at a small company's documentation needs.

www-apps / drupal : PHP-based open-source platform and content management system

www-apps / groupoffice : Group-Office is a powerful modular Intranet application framework

www-apps / hiawatha-monitor : Monitoring application for www-servers/hiawatha

www-apps / icingaweb2 : Icinga Web 2 - Frontend for icinga2

www-apps / icingaweb2-module-director : Icinga Web 2 plugin for configuration

www-apps / mediawiki : The MediaWiki wiki web application (as used on wikipedia.org)

www-apps / moodle : The Moodle Course Management System

www-apps / mythweb : PHP scripts intended to manage MythTV from a web browser

www-apps / nextcloud : Personal cloud that runs on your own server

www-apps / owncloud : Web-based storage application where all your data is under your own control

www-apps / phpBB : An open-source bulletin board package

www-apps / phpsysinfo : A customizable PHP script that displays information about your system nicely

www-apps / phpwebsite : phpWebSite Content Management System

www-apps / piwigo : a photo gallery software for the web

www-apps / postfixadmin : Web Based Management tool for Postfix style virtual domains and users

www-apps / rutorrent : ruTorrent is a front-end for the popular Bittorrent client rTorrent

www-apps / tt-rss : Tiny Tiny RSS - A web-based news feed (RSS/Atom) aggregator using AJAX

www-apps / websvn : Web-based browsing tool for Subversion (SVN) repositories in PHP

www-apps / wordpress : Wordpress PHP and MySQL based content management system (CMS)

www-misc / zoneminder : Capture, analyse, record and monitor any cameras attached to your system

www-servers / cherokee : An extremely fast and tiny web server

www-servers / lighttpd : Lightweight high-performance web server

www-servers / monkeyd : A small, fast, and scalable web server

www-servers / nginx-unit : A dynamic web and application server

www-servers / uwsgi : uWSGI server for Python web applications

461300
virtual/httpd-php-5.4-r1 demands unnecessary USE flag changes on dev-lang/php
471682
dev-lang/php: bundled libmagic code can conflict with file libmagic.so leading to crashes
481190
dev-lang/php: building +pdo +mysqli -mysql does not include pdo-mysql
519988
net-analyzer/zabbix USE="frontend mysql" should RDEPEND on dev-lang/php[mysqli]
520356
dev-lang/php-5.5.15 - !!! newins: .libs/libphp5.dylib does not exist
520370
net-libs/c-client-2007f-r4 can't be merged and masked so dev-lang/php-5.1.15 with use flag "imap" can't be installed on os x platform
528960
dev-lang/php - segmentation fault in preg_replace()
547612
dev-lang/php: failures on x32
637402
>=dev-lang/php-5.6[fpm] automagic on libapparmor
638562
dev-lang/php-7.0.25 does not honor exif use flag in make.conf and package.use/
649274
dev-lang/php[acl]: Unconditionally forces -lacl while acl_*() are built-in on FreeBSD
650034
dev-lang/php: emerge @preserved-rebuild loop
651094
[TRACKER] Packages broken with >=dev-lang/php-7.1
652202
never ending loop of @preserved-rebuild related to dev-lang/php and sys-libs/db
665738
dev-lang/php-7.1.8: mod_php depends on libnsl, but dev-lang/php-7.1.8 has no (indirect) RDEPEND to it
667552
dev-lang/php is incompatible with >=app-text/enchant-2.0.0
671872
dev-lang/php: Shell command injection through imap_open() connection params
675260
dev-lang/php-5.6.40: configure: error: Cannot find libmysqlclient_r under /usr.
675314
dev-lang/php-7.2.14: /usr/lib/libcrypto.so.1.0.0: error adding symbols: DSO missing from command line
685900
dev-lang/php:7.3 stable request
686506
dev-lang/php-7.2.16 - Generating phar.php: /bin/sh: line 1: 13911 Segmentation fault ` if test -x "/var/tmp/portage/dev-lang/php-7.2.16/work/sapis-build/cli/sapi/cli/php"; then ...
686600
www-apps/tt-rss-99999999: dev-lang/php needs intl useflag
686602
dev-lang/php [sodium] needs libsodium [-minimal]
Repository mirror & CI · gentoo
Merge updates from master
Aaron Bauman · gentoo
dev-lang/php: arm64 stable
Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.66, Repoman-2.3.12 RepoMan-Options: --include-arches="arm64"
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Add security patch backported from 7.1.29 into 5.6.40
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old 7.1.28
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.29
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old 7.2 version
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.18
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old 7.3 versions
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Brian Evans · gentoo
dev-lang/php: Version bump for 7.3.5
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Revbump with new security patches
5.6.40-r2 includes the backports from 7.1.28 This primary affects the included exif extension Also include support for SQLite's defensive mode Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.1.28
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.2.17
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.3.4
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: security cleanup
Bug: https://bugs.gentoo.org/681074 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #681074)
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.2.16 for hppa, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.27 for hppa, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.40-r1 for hppa, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-lang/php: alpha stable wrt bug #681074
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="alpha"
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.2.16 for ppc64, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.27 for ppc64, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.40-r1 for ppc64, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.40-r1 for ppc, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.2.16 for ia64, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.27 for ia64, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.40-r1 for ia64, bug #681074
Package-Manager: Portage-2.3.62, Repoman-2.3.12 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.2.16 for sparc, bug #681074
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="sparc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.27 for sparc, bug #681074
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="sparc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.40-r1 for sparc, bug #681074
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="sparc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Markus Meier · gentoo
dev-lang/php: arm stable, bug #681074
Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #681074
Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #681074
Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-lang/php: amd64 stable wrt bug #681074
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Revbump 5.6.40 with security patches Feb 2019
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.1.27
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: add BDEPEND=virtual/pkgconfig
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.2.16
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.3.3
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.2.14 for hppa, bug #675182
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.26 for hppa, bug #675182
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.40 for hppa, bug #675182
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="hppa" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop support for 7.0
Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.2.15
Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.3.2
- Fix iptcembed [bug 77546] Bug: https://bugs.php.net/bug.php?id=77546 Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Clean up security vulnerable versions
Bug: https://bugs.gentoo.org/675182 Closes: https://bugs.gentoo.org/674372 Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Tobias Klausmann · gentoo
dev-lang/php-7.2.14-r0: alpha stable
Bug: http://bugs.gentoo.org/675182 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Tobias Klausmann · gentoo
dev-lang/php-7.1.26-r0: alpha stable
Bug: http://bugs.gentoo.org/675182 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-5.6.40-r0: alpha stable
Bug: http://bugs.gentoo.org/675182 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Markus Meier · gentoo
dev-lang/php: arm stable, bug #675182
Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #675182
Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #675182
Signed-off-by: Markus Meier <maekke@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="arm"
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.2.14 for ppc64, bug #675182
Package-Manager: Portage-2.3.56, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.26 for ppc64, bug #675182
Package-Manager: Portage-2.3.56, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.40 for ppc64, bug #675182
Package-Manager: Portage-2.3.56, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.40 for ppc, bug #675182
Package-Manager: Portage-2.3.56, Repoman-2.3.12 RepoMan-Options: --include-arches="ppc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #675182)
Package-Manager: Portage-2.3.56, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-lang/php: amd64 stable wrt bug #675182
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.2.14 for sparc, bug #675182
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="sparc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.26 for sparc, bug #675182
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="sparc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.40 for sparc, bug #675182
Signed-off-by: Rolf Eike Beer <eike@sf-mail.de> Package-Manager: Portage-2.3.51, Repoman-2.3.11 RepoMan-Options: --include-arches="sparc" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.2.14 for ia64, bug #675182
Package-Manager: Portage-2.3.55, Repoman-2.3.12 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.26 for ia64, bug #675182
Package-Manager: Portage-2.3.55, Repoman-2.3.12 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.40 for ia64, bug #675182
Package-Manager: Portage-2.3.55, Repoman-2.3.12 RepoMan-Options: --include-arches="ia64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old, unstable versions
Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v5.6.40
Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.1.26
Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.2.14
Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.3.1
Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.2.13
- EAPI bump to EAPI=7 - Use pkg-config for detecting ICU - Proper ICU namespace usage backported Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.1.25
- EAPI bump to EAPI=7 - Use pkg-config for detecting ICU - Proper ICU namespace usage backported Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.0.33
- EAPI bump to EAPI=7 - Add compatibility with ICU >= 61 Bug: https://bugs.gentoo.org/668000 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v5.6.39
- EAPI bump to EAPI=7 - Add compatibility with ICU >= 61 Bug: https://bugs.gentoo.org/668000 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: drop old
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.3.0
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: add openssl 1.1.x compatibility
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.3.0 RC6
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.3.0 RC5
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.2.12
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Thomas Deutschmann · gentoo
dev-lang/php: bump to v7.1.24
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Always call elibtoolize
Certain functions of external commands, like pecl, may use an older libtool which is included with PHP. Now we always have an updated ltmain.sh by calling elibtoolize Bug: https://bugs.gentoo.org/669566 Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Version bump for 7.3.0 RC3
Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.11
Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Brian Evans · gentoo
dev-lang/php: Version bump to 7.1.23
Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop security vulnerable versions
Bug: https://bugs.gentoo.org/666256 Bug: https://bugs.gentoo.org/668000 Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Tobias Klausmann · gentoo
dev-lang/php-7.2.10-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/666256 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-7.1.22-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/666256 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-7.0.32-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/666256 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-5.6.38-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/666256 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old
Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.50, Repoman-2.3.11
Brian Evans · gentoo
dev-lang/php: Version bump for 7.3.0_rc2
Bug: https://bugs.gentoo.org/667552 Signed-off-by: Brian Evans <grknight@gentoo.org> Package-Manager: Portage-2.3.50, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Markus Meier · gentoo
dev-lang/php: arm stable, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="arm"
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Recent mysqlnd driver needs hash extension
Set REQUIRED_USE on mysql and mysqli to need hash as build failures occur without. Example: ext/mysqlnd/mysqlnd_auth.o: In function `php_mysqlnd_scramble_sha2': mysqlnd_auth.c:(.text+0x1054): undefined reference to `PHP_SHA256Init' Does not affect PHP 5.6 or 7.0 as they are security only Closes: https://bugs.gentoo.org/666598
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #666256)
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.2.10 for ia64, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.22 for ia64, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.32 for ia64, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.38 for ia64, bug #666256
Package-Manager: Portage-2.3.49, Repoman-2.3.10 RepoMan-Options: --include-arches="ia64"
Repository mirror & CI · gentoo
Merge updates from master
Matt Turner · gentoo
dev-lang/php-7.2.10: ppc64 stable, bug 666256
Matt Turner · gentoo
dev-lang/php-7.1.22: ppc64 stable, bug 666256
Matt Turner · gentoo
dev-lang/php-7.0.32: ppc64 stable, bug 666256
Matt Turner · gentoo
dev-lang/php-5.6.38: ppc64 stable, bug 666256
Matt Turner · gentoo
dev-lang/php-7.2.10: ppc stable, bug 666256
Matt Turner · gentoo
dev-lang/php-7.1.22: ppc stable, bug 666256
Matt Turner · gentoo
dev-lang/php-7.0.32: ppc stable, bug 666256
Matt Turner · gentoo
dev-lang/php-5.6.38: ppc stable, bug 666256
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.2.10 for sparc, bug #666256
Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.22 for sparc, bug #666256
Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.0.32 for sparc, bug #666256
Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.38 for sparc, bug #666256
Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="sparc"
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-lang/php: amd64 stable wrt bug #666256
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Version bump for 7.3.0_rc1
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Version bump to 7.2.10
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.22
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.32
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.38
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old
Package-Manager: Portage-2.3.47, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Version bump to 7.1.21
Package-Manager: Portage-2.3.47, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop versionator for eapi7-ver
Package-Manager: Portage-2.3.46, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Drop old
Package-Manager: Portage-2.3.46, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Version bump for 7.3.0_beta2
Package-Manager: Portage-2.3.46, Repoman-2.3.10
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.9
Package-Manager: Portage-2.3.46, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.18 for ppc64, bug #658092
Package-Manager: Portage-2.3.44, Repoman-2.3.10 RepoMan-Options: --include-arches="ppc64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.30 for ppc64, bug #658092
Package-Manager: Portage-2.3.44, Repoman-2.3.10 RepoMan-Options: --include-arches="ppc64"
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Fix icu max dependency for 7.0.31
Bug: https://bugs.gentoo.org/655154 Package-Manager: Portage-2.3.42, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.37
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.31
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.20
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.8
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Refine the REQUIRED_USE on gd to help the user
Package-Manager: Portage-2.3.42, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Version bump for 7.3 alpha 3
Package-Manager: Portage-2.3.41, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Tobias Klausmann · gentoo
dev-lang/php-7.1.18-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/658092
Tobias Klausmann · gentoo
dev-lang/php-7.0.30-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/658092
Repository mirror & CI · gentoo
Merge updates from master
Tobias Klausmann · gentoo
dev-lang/php-5.6.36-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/658092
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Silence uncontrolable repoman warnings
The addpredicts originate due to libsnmp that PHP cannot change in its behaviour Silence the warnings to find real problems Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.19
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
dev-lang/php: arm stable wrt bug #658092
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Drop old version in 7.2 slot
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.7
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.36 for ppc64, bug #658092
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ppc64"
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.18 for ppc, bug #658092
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ppc"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.30 for ppc, bug #658092
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ppc"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.36 for ppc, bug #658092
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ppc"
Repository mirror & CI · gentoo
Merge updates from master
Michael Orlitzky · gentoo
dev-lang/php: remove old "unused" versions.
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #658092)
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.18 for sparc
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.0.30 for sparc
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.36 for sparc
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Repository mirror & CI · gentoo
Merge updates from master
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.18 for ia64, bug #658092
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.30 for ia64, bug #658092
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.36 for ia64, bug #658092
Bug: https://bugs.gentoo.org/658092 Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #658092
Package-Manager: Portage-2.3.40, Repoman-2.3.9 RepoMan-Options: --include-arches="amd64"
Brian Evans · gentoo
dev-lang/php: New prerelease and slot for 7.3
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.18
Closes: https://bugs.gentoo.org/657338 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.6
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Clean up security vulnerable versions
Bug: https://bugs.gentoo.org/652420 Package-Manager: Portage-2.3.40, Repoman-2.3.9
Mikle Kolyada · gentoo
dev-lang/php: ppc/ppc64 stable wrt bug #648612
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Fix building with freetype 2.9.1 by using pkgconfig
Closes: https://bugs.gentoo.org/654794 Package-Manager: Portage-2.3.36, Repoman-2.3.9
Aaron Bauman · gentoo
dev-lang/php: add LibreSSL compatibility patch
This patch fixes building with >=dev-libs/libressl-2.7.x. Patch taken from upstream bug https://bugs.php.net/bug.php?id=76174. Hopefully this will be included in future releases to properly detect LibreSSL versions due to API differences. Closes: https://bugs.gentoo.org/651308 Package-Manager: Portage-2.3.31, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Drop old
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.5
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.17
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.30
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.36
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Markus Meier · gentoo
dev-lang/php: arm stable, bug #652420
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #652420
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #652420
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.16 for ia64, bug #652420
Package-Manager: Portage-2.3.28, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.29 for ia64, bug #652420
Package-Manager: Portage-2.3.28, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.35-r1 for ia64, bug #652420
Package-Manager: Portage-2.3.28, Repoman-2.3.9 RepoMan-Options: --include-arches="ia64"
Tobias Klausmann · gentoo
dev-lang/php-7.1.16-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/652420
Tobias Klausmann · gentoo
dev-lang/php-7.0.29-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/652420
Tobias Klausmann · gentoo
dev-lang/php-5.6.35-r1: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/652420
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #652420)
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Aaron Bauman · gentoo
dev-lang/php: amd64 stable
Bug: https://bugs.gentoo.org/652420 Package-Manager: Portage-2.3.28, Repoman-2.3.9
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.16 for sparc
Bug: https://bugs.gentoo.org/652420 Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.0.29 for sparc
Bug: https://bugs.gentoo.org/652420 Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.35-r1 for sparc
Bug: https://bugs.gentoo.org/652420 Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Brian Evans · gentoo
dev-lang/php: Fix compilation with dev-libs/oniguruma-6.8.1
Include upstream patch for all 7.0 versions Limit version in 5.6.35-r1 as the patch is not the same there Closes: https://bugs.gentoo.org/652352 Package-Manager: Portage-2.3.28, Repoman-2.3.9
Tobias Klausmann · gentoo
dev-lang/php-7.1.15-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/649368
Tobias Klausmann · gentoo
dev-lang/php-7.0.28-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/649368
Tobias Klausmann · gentoo
dev-lang/php-5.6.34-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/649368
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.16
Package-Manager: Portage-2.3.27, Repoman-2.3.9
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA too.
Package-Manager: Portage-2.3.26, Repoman-2.3.7 RepoMan-Options: --ignore-arches
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.35
Package-Manager: Portage-2.3.26, Repoman-2.3.7
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.29
Package-Manager: Portage-2.3.26, Repoman-2.3.7
Brian Evans · gentoo
dev-lang/php: Drop old 7.2.x
Package-Manager: Portage-2.3.26, Repoman-2.3.7
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.4
Package-Manager: Portage-2.3.26, Repoman-2.3.7
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #649368)
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.15 for sparc, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.0.28 for sparc, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.34 for sparc, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #649368
Signed-off-by: Agostino Sarubbo <ago@gentoo.org> Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="amd64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.15 for ia64, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.28 for ia64, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.34 for ia64, bug #649368
Package-Manager: Portage-2.3.24, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.15
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: move fpm-systemd specific option to that SAPI
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.3
Bug: https://bugs.gentoo.org/649274 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.34
Bug: https://bugs.gentoo.org/649274 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.28
Bug: https://bugs.gentoo.org/649274 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Fix iconv reference on FreeBSD
Closes: https://bugs.gentoo.org/649232 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Drop old revisions
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.2
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for php-7.1.14
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Drop old vulnerable versions
Bug: https://bugs.gentoo.org/643564 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Markus Meier · gentoo
dev-lang/php: arm stable, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="arm"
Tobias Klausmann · gentoo
dev-lang/php-7.1.13-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/643564
Tobias Klausmann · gentoo
dev-lang/php-5.6.33-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/643564
Tobias Klausmann · gentoo
dev-lang/php-7.0.27-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/643564
Michael Orlitzky · gentoo
dev-lang/php: drop "unused" ebuilds.
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Michael Orlitzky · gentoo
dev-lang/php: new revisions to fix shared memory and threads support.
Our PHP ebuilds used the "sharedmem" flag to conflate two ./configure flags, namely --enable-shmop and --with-mm. The former is the "shared memory" extension, and the latter enables the dev-libs/mm backend for session storage. This commit separates the two: * The old USE=sharedmem enables the shared memory extension * The new USE=session-mm enables the dev-libs/mm session backend The nascent session-mm flag depends on USE=session being set. Additionally, we had a REQUIRED_USE constraint prohibiting USE=sharedmem from being set at the same time as USE=threads. This turns out to be due to an incompatibility between the --with-mm and --enable-maintainer-zts flags, the latter of which is toggled by USE=threads. So in the new revisions, we have a REQUIRED_USE constraint that blocks USE=threads when USE=session-mm is set. Thanks are due to Xiami who reported and fixed all of these issues in bug 644922. Reported-by: Xiami <i@f2light.com> Closes: https://bugs.gentoo.org/644922 Package-Manager: Portage-2.3.13, Repoman-2.3.3
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.13 for ia64, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.27 for ia64, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.33 for ia64, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.13 for hppa, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="hppa"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.27 for hppa, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="hppa"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.33 for hppa, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="hppa"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.13 for ppc/ppc64, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ppc ppc64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.27 for ppc/ppc64, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ppc ppc64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.33 for ppc/ppc64, bug #643564
Package-Manager: Portage-2.3.19, Repoman-2.3.6 RepoMan-Options: --include-arches="ppc ppc64"
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #643564
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.1.13 for sparc, bug #643564
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 7.0.27 for sparc, bug #643564
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Rolf Eike Beer · gentoo
dev-lang/php: stable 5.6.33 for sparc, bug #643564
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #643564)
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.33
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.1
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.13
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.27
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Revbump each release to have better subslot deps
Closes: https://bugs.gentoo.org/643186 Package-Manager: Portage-2.3.19, Repoman-2.3.6
Thomas Deutschmann · gentoo
dev-lang/php: Add sub slot operator on app-crypt/argon2 atom
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Tobias Klausmann · gentoo
dev-lang/php-7.1.11-r0: amd64 stable
Gentoo-Bug: http://bugs.gentoo.org/639072
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.11 for hppa, bug #639072
Package-Manager: Portage-2.3.16, Repoman-2.3.6 RepoMan-Options: --include-arches="hppa"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.11 for sparc, bug #639072 (thanks to Rolf Eike Beer)
Package-Manager: Portage-2.3.16, Repoman-2.3.6 RepoMan-Options: --include-arches="sparc"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.1.11 for ia64/ppc/ppc64, bug #639072
Package-Manager: Portage-2.3.16, Repoman-2.3.6 RepoMan-Options: --include-arches="ia64 ppc ppc64"
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #639072)
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Drop 7.2.0 RC 6
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.0
Closes: https://bugs.gentoo.org/639286 Package-Manager: Portage-2.3.16, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump to 7.1.12
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Version bump to 7.0.26
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Brian Evans · gentoo
dev-lang/php: Drop security vulnerable versions
Package-Manager: Portage-2.3.14, Repoman-2.3.6
Markus Meier · gentoo
dev-lang/php: arm stable, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.3 RepoMan-Options: --include-arches="arm"
Brian Evans · gentoo
dev-lang/php: Version bump for final 7.2 RC
Package-Manager: Portage-2.3.14, Repoman-2.3.5
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.25 for hppa, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="hppa"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.32 for hppa, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="hppa"
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #636694)
Package-Manager: Portage-2.3.13, Repoman-2.3.4
Tobias Klausmann · gentoo
dev-lang/php-7.0.25-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/636694
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.25 for ppc/ppc64, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="ppc ppc64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.32 for ppc/ppc64, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="ppc ppc64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.25 for sparc, bug #636694 (thanks to Rolf Eike Beer)
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="sparc"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.32 for sparc, bug #636694 (thanks to Rolf Eike Beer)
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="sparc"
Tobias Klausmann · gentoo
dev-lang/php-5.6.32-r0: alpha stable
Gentoo-Bug: http://bugs.gentoo.org/636694
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.25 for ia64, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.32 for ia64, bug #636694
Package-Manager: Portage-2.3.13, Repoman-2.3.4 RepoMan-Options: --include-arches="ia64"
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #636694
Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Brian Evans · gentoo
dev-lang/php: Use https for HOMEPAGE and SRC_URI
Package-Manager: Portage-2.3.12, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Drop old and potentially security vulnerable versions
Package-Manager: Portage-2.3.12, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.11
Package-Manager: Portage-2.3.12, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.32
Package-Manager: Portage-2.3.12, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.0_rc5
Package-Manager: Portage-2.3.12, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.25
Package-Manager: Portage-2.3.12, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.24
Package-Manager: Portage-2.3.11, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.10
Package-Manager: Portage-2.3.11, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Version bump for 7.2.0 RC3
Package-Manager: Portage-2.3.10, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Drop old RC plus security vulnerable versions
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.21 for hppa, bug #624052
Package-Manager: Portage-2.3.10, Repoman-2.3.3 RepoMan-Options: --include-arches="hppa"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.31 for hppa, bug #624052
Package-Manager: Portage-2.3.10, Repoman-2.3.3 RepoMan-Options: --include-arches="hppa"
Thomas Deutschmann · gentoo
dev-lang/php: x86 stable (bug #629452)
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Add RC2 for PHP 7.2.0
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Brian Evans · gentoo
dev-lang/php: Drop security vulnerable versions
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #629452
Package-Manager: Portage-2.3.8, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Markus Meier · gentoo
dev-lang/php: arm stable, bug #629452
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Tobias Klausmann · gentoo
dev-lang/php-7.0.23-r0: alpha stable
Gentoo-Bug: 629452
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.23 for ppc/ppc64, bug #629452
Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="ppc ppc64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.23 for sparc, bug #629452 (thanks to Dakon)
Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.23 for hppa, bug #629452
Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="hppa"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.21 for sparc, bug #624052 (tested by Dakon)
Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.31 for sparc, bug #624052 (tested by Dakon)
Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="sparc"
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.23 for ia64, bug #629452
Package-Manager: Portage-2.3.8, Repoman-2.3.3 RepoMan-Options: --include-arches="ia64"
Michael Orlitzky · gentoo
dev-lang/php: remove php-7.1.8 to fix CVE-2017-12932.
Gentoo-Bug: 629452 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Brian Evans · gentoo
dev-lang/php: Version bump to 7.1.9
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Michael Orlitzky · gentoo
dev-lang/php: version bump 7.2.0_beta3 -> 7.2.0_rc1.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-lang/php: version bump 7.0.22 -> 7.0.23 to fix CVE-2017-12932.
Gentoo-Bug: 629452 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-lang/php: new versions 7.1.8 and 7.2.0_beta3.
Gentoo-Bug: 628696 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-lang/php: new (masked) version 7.2.0_beta2 in the 7.2 slot.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-lang/php: new version 7.0.22 in the 7.0 slot.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Sergei Trofimovich · gentoo
dev-lang/php: stable 7.0.21 for ppc/ppc64, bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.3 RepoMan-Options: --include-arches="ppc ppc64"
Sergei Trofimovich · gentoo
dev-lang/php: stable 5.6.31 for ppc/ppc64, bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.3 RepoMan-Options: --include-arches="ppc ppc64"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Brian Evans · gentoo
dev-lang/php: New version 7.2.0_beta1
Package-Manager: Portage-2.3.6, Repoman-2.3.3
Thomas Deutschmann · gentoo
dev-lang/php: Add sub slot operator on dev-libs/oniguruma atom
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Drop olc revision
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Final REQUIRED_USE tweaks for usability
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: More REQUIRED_USE order tweaks
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Adjust REQUIRED_USE for GLEP73
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Tobias Klausmann · gentoo
dev-lang/php-7.0.21-r0: alpha stable
Gentoo-Bug: 624052
Tobias Klausmann · gentoo
dev-lang/php-5.6.31-r0: alpha stable
Gentoo-Bug: 624052
Brian Evans · gentoo
dev-lang/php: 7.1.7 - Clean up dependencies enforced by REQUIRED_USE
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Sergei Trofimovich · gentoo
dev-lang/php: ia64 stable, bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.2 RepoMan-Options: --include-arches="ia64"
Sergei Trofimovich · gentoo
dev-lang/php: ia64 stable, bug #624052
Package-Manager: Portage-2.3.6, Repoman-2.3.2 RepoMan-Options: --include-arches="ia64"
Alexis Ballier · gentoo
dev-lang/php: keyword ~arm64
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.31
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Drop Old
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.7
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump to 7.0.21
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Alexis Ballier · gentoo
dev-lang/php: keyword ~arm64
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #621230
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Markus Meier · gentoo
dev-lang/php: arm stable, bug #621230
Package-Manager: Portage-2.3.6, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Tobias Klausmann · gentoo
dev-lang/php-7.0.19-r0: add alpha keyword
Gentoo-Bug: 621230
Agostino Sarubbo · gentoo
dev-lang/php: ppc64 stable wrt bug #621230
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #621230
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #621230
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #621230
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #621230
Package-Manager: Portage-2.3.5, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Brian Evans · gentoo
dev-lang/php: Drop old version
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.6
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.20
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.19
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump for 7.1.5
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Michael Orlitzky · gentoo
dev-lang/php: new versions 7.0.18 and 7.1.4.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-lang/php: new revisions to phase out PHP_INI_VERSION.
These three new revisions install the "production" version of php.ini unconditionally. The changes between the two versions are minimal anway, and the production version is safer for people who don't care. A warning will be emitted for users who still have the variable set. In addition, the 5.6 and 7.0 series will now cache their ./configure test results. This is based on a similar change made in 7.1, and should speed up the build a little. Gentoo-Bug: 530002 Gentoo-Bug: 611214 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-lang/php: remove unused version 7.0.16.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Brian Evans · gentoo
dev-lang/php: Drop version 7.1.2
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump to 7.1.3
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump
Also fix test executable locations which were pointing the wrong place Package-Manager: Portage-2.3.4, Repoman-2.3.2
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #574238
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #574238
Package-Manager: portage-2.3.3 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Michael Weber · gentoo
dev-lang/php: ppc stable (bug 574238).
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Michael Weber · gentoo
dev-lang/php: arm ppc64 stable (bug 574238).
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #574238
Package-Manager: portage-2.3.3 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-7.0.15-r0: add alpha keyword
Gentoo-Bug: 574238
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #574238).
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #574238
Package-Manager: portage-2.3.3 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Michael Orlitzky · gentoo
dev-lang/php: restore php-7.0.15 temporarily.
Due to a getrandom() detection bug, php-7.0.16 doesn't work with older pre-3.17 Linux kernels. Let's put 7.0.15 back until that is resolved. The best reference I have at the moment is the discussion on the upstream commit: https://github.com/php/php-src/commit/14c72cc5824d5fa472b79b7216a01be0918ccc5d Gentoo-Bug: 574238 Package-Manager: portage-2.3.3
Michael Orlitzky · gentoo
dev-lang/php: two new 7.x versions and a bugfix.
Two new versions 7.0.16 and 7.1.2 were released recently and this commit adds them to the tree (nothing out of the ordinary there). In addition, a bugfix was made to both new 7.x versions as well as a new 5.6.30-r1 revision. The kerberos support in dev-lang/php must match that of its c-client implementation when USE=imap is set. In the past, that was impossible to enforce, because virtual/imap-c-client was missing the "kerberos" flag. Now that it has been added, the additional dependency has been added in PHP. Thanks to Dennis Schridde for noticing and fixing that bug. Gentoo-Bug: 541046 Package-Manager: portage-2.3.3
Michael Orlitzky · gentoo
dev-lang/php: remove vulnerable php-5.6.29.ebuild.
Gentoo-Bug: 606626 Package-Manager: portage-2.3.3
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #606626
Package-Manager: portage-2.3.3 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #606626
Package-Manager: portage-2.3.3 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Markus Meier · gentoo
dev-lang/php: arm stable, bug #606626
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Michael Weber · gentoo
dev-lang/php: ppc stable (bug 606626).
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #606626
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA PPC64 (bug #606626).
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --ignore-arches
Fabian Groffen · gentoo
dev-lang/php: dropped ~ia64-linux ~x86-freebsd
Package-Manager: portage-2.3.3
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #606626
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-5.6.30-r0: stable on alpha
Gentoo-Bug: 606626
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Michael Orlitzky · gentoo
dev-lang/php: new security releases for all three series.
In addition to the version bumps, the (unused, hopefully) libtool eclass was dropped from the php-5.6.30 and php-7.0.15 ebuilds Upstream merged a fix for heimdal detection, allowing us to drop that workaround from src_prepare. After the heimdal workaround was removed, it then made sense to drop the autotools eclass entirely. That means no more custom branding in the 7.0 series, but we are essentially a vanilla upstream PHP at this point. Gentoo-Bug: 597448 Gentoo-Bug: 597450 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: remove php-5.6.28 vulnerable to CVE-2016-9935 and others.
Gentoo-Bug: 604776 Package-Manager: portage-2.3.0
Agostino Sarubbo · gentoo
dev-lang/php: ppc64 stable wrt bug #604776
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #604776
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #604776).
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #604776
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Markus Meier · gentoo
dev-lang/php: arm stable, bug #604776
Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="arm"
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #604776
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #604776
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-5.6.29-r0: stable on alpha
Gentoo-Bug: 604776
Aaron Bauman · gentoo
dev-lang/php: amd64 stable wrt bug #604776
Michael Orlitzky · gentoo
dev-lang/php: drop unused IUSE=frontbase from all ebuilds.
This includes a change to the stable php-5.6.28, but since the "frontbase" USE flag did not affect the package in any way, it (famous last words) should be safe to make. Package-Manager: portage-2.3.0
Brian Evans · gentoo
dev-lang/php: Drop 5.5 slot
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Michael Orlitzky · gentoo
dev-lang/php: new version 5.6.29 (replaces the unstable 5.6.28-r2).
Gentoo-Bug: 602738 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: add "coverage" USE flag to build with --enable-gcov.
We add three new revisions, one for each supported branch of PHP. The new revisions have a "coverage" flag, which was chosen because a few other packages in ::gentoo have decided on the same flag name. When enabled, USE=coverage will pull in dev-util/lcov from the Linux Test Project, and PHP will be built with --enable-gcov. Since users won't be running code coverage reports on the PHP source tree itself (at least not the one used by their package manager), this is probably only useful for extension developers who would like to run code coverage reports on the test suites for their extensions. It also requires GCC to work, since lcov wraps GCC's gcov. Both of those caveats have been mentioned in the USE flag description. Gentoo-Bug: 542178 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: new version 7.0.14 replacing 7.0.13.
Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: allow app-text/htmltidy in php:7.1.
To help phase out the abandoned and buggy app-text/htmltidy, I tried to make the new php:7.1 depend on app-text/tidy-html5 instead. However, since older versions of PHP do not support tidy-html5, that causes a problem: php:7.1 cannot be installed alongside the older versions when USE=tidy is set for both of them. This solution is somewhat of a cop out, allowing htmltidy to be used in php:7.1 as a last resort. The alternative would have been to backport the tidy-html5 support to (both) older versions of PHP. That may eventually become necessary if it looks like htmltidy will be masked for removal; however, for now, this is the path of least resistance. Gentoo-Bug: 601614 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: three new revisions adding ACL support for php-fpm.
The php-fpm backend can be used to host multiple applications with different settings and permissions. Traditionally, permissions on its UNIX socket are granted to the "listen.owner" and "listen.group" defined in php-fpm.conf. However, php-fpm can be compiled with POSIX ACL support, after which the more-powerful "listen.acl_users" and "listen.acl_groups" can be used. This commit adds three new revisions -- one for each supported branch of PHP. To each new revision, the "acl" USE flag has been added. When USE=acl is set, sys-apps/acl gets pulled in as a dependency, and "--with-fpm-acl" is passed to the configure script. Gentoo-Bug: 601634 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: add php-7.1.0 in the new "7.1" slot.
This is a new upstream release and the ebuild incorporates a few fixes facilitated by upstream changes: 1. We use app-text/tidy-html5 instead of the abandoned app-text/htmltidy. 2. Upstream now detects heimdal correctly so our workaround has been removed. 3. The custom Gentoo branding that required us to rebuild all of the autotools files has been removed. A few build dependencies were eliminated as a result, and the autotools and libtool eclasses were dropped. The changes above have associated Gentoo bugs. In addition, the hack for bug 343481 was removed, since it had no effect on the configure script for v7.1.0. I do not know if the fix is simply no longer needed, or if it should be forward-ported. Gentoo-Bug: 585474 Gentoo-Bug: 597448 Gentoo-Bug: 597450 Package-Manager: portage-2.3.0
Brian Evans · gentoo
dev-lang/php: Security cleanup wrt bug 599326
Package-Manager: portage-2.3.2
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #599326
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #599326
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #599326
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: arm stable wrt bug #599326
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #599326).
Package-Manager: portage-2.3.2 RepoMan-Options: --ignore-arches
Tobias Klausmann · gentoo
dev-lang/php-7.0.13-r0: stable on alpha
Gentoo-Bug: 599326
Tobias Klausmann · gentoo
dev-lang/php-5.6.28-r0: stable on alpha
Gentoo-Bug: 599326
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #599326).
Package-Manager: portage-2.3.2 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #599326
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #599326
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Michael Orlitzky · gentoo
dev-lang/php: new version 5.6.28 to fix security issues.
Gentoo-Bug: 599326 Package-Manager: portage-2.3.0
Markus Meier · gentoo
dev-lang/php: arm stable, bug #597586
Package-Manager: portage-2.3.2 RepoMan-Options: --include-arches="arm"
Michael Orlitzky · gentoo
dev-lang/php: new version 7.0.13 replacing 7.0.12 to fix security issues.
Gentoo-Bug: 599326 Package-Manager: portage-2.3.0
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #597586).
Package-Manager: portage-2.3.2 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #597586
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #597586
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #597586).
Package-Manager: portage-2.3.2 RepoMan-Options: --ignore-arches
Brian Evans · gentoo
dev-lang/php: Drop security vulnerable ~arch versions
Package-Manager: portage-2.3.2
Brian Evans · gentoo
dev-lang/php: Version bump for security bug 597586
Package-Manager: portage-2.3.2
Brian Evans · gentoo
dev-lang/php: Security version bump for 7.0 series
Package-Manager: portage-2.3.2
Michael Orlitzky · gentoo
dev-lang/php: preserve timestamps when creating SAPI build directories.
We create several copies of ${S} -- one for each SAPI -- during the build. Until now, those copies have been made with "cp -r". I believe this caused unnecessary regeneration of the Zend parsers, opening the door for version mismatches of sys-devel/bison. For example, the file ${S}/Zend/zend_language_parser.c is generated from ${S}/Zend/zend_language_parser.y, but the ".c" file should already exist in the source tree. In the upstream tarball, the former always exists (pre-generated) and has a timestamp later than the latter. This prevents the build system from attempting to call "yacc" on zend_language_parser.y. When we use "cp -r" to copy the source tree, I find timestamps like the following: 2016-08-16 19:08 zend_language_parser.c 2016-08-16 19:08 zend_language_parser.y They look identical, but if the copy was performed in alphabetical order, I suspect that the ".y" file looks newer than the ".c" file that it generates. It is therefore my educated guess that the build system is using bison to regenerate those ".c" files when in fact there is no need to do so. By using "cp -a" instead of "cp -r", I hope to preserve the ages of those files, and eliminate bison from normal end-user builds of dev-lang/php. The fix has been applied to the latest 5.6 and 7.0 revisions in-place. Gentoo-Bug: 595792 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: remove old versions php-5.6.2[345].
Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: new 5.6 and 7.0 revisions with additional LICENSE entries.
The main license under which PHP is distributed is the "PHP license." But, a lot of files, functions, and libraries have been inlined and bring with them the associated license from the upstream project. This commit adds the following unconditionally: * BSD (thread-safe resource manager, probably other places) * Zend-2.0 (used by the Zend engine, everything under ${S}/Zend/) and the following USE-conditionally: * LGPL-2.1+, used by the bcmath extension. * BSD-2, used by the fpm SAPI and mbstring extension. * gd, used by gd. * LGPL-2.1, used by the mbstring extension. The main license was also updated from "PHP-3" to "PHP-3.01", because that's what it is. Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: new 5.6 and 7.0 revisions with bison dependencies.
The PHP build system checks for the presence of bison (even if it will not be needed), and it emits a warning if an appropriate version is not found. In the 7.0.x series, this is easy to address by simply adding a newish version of bison to DEPEND. In the 5.6.x series, however, there is a bug in the bison version check. A warning is emitted even when a suitable version of bison (>= 3.0.1) is present on the system. So in that series, we have added >=sys-devel/bison-3.0.1 to DEPEND, but also added a new patch. The patch disables the buggy bison version check, eliminating the warning. There should be no danger in doing so now that a newer bison is in DEPEND. Gentoo-Bug: 593278 Package-Manager: portage-2.3.0
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #594498
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: arm stable wrt bug #594498
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="arm" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #594498
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #594498
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #594498
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #594498).
Package-Manager: portage-2.3.1 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #594498).
Package-Manager: portage-2.3.1 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #594498
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-5.6.26-r0: add alpha keyword
Gentoo-Bug: 594498
Brian Evans · gentoo
dev-lang/php: Version bump for 5.6.26
Package-Manager: portage-2.3.0
Brian Evans · gentoo
dev-lang/php: Drop old 7.0.10
Package-Manager: portage-2.3.0
Brian Evans · gentoo
dev-lang/php: Version bump for 7.0.11
Package-Manager: portage-2.3.0
Tobias Klausmann · gentoo
dev-lang/php-5.6.25-r0: add alpha keyword
Gentoo-Bug: 591710
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #591710).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #591710
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #591710).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Tobias Klausmann · gentoo
dev-lang/php-5.6.24-r0: add alpha keyword
Gentoo-Bug: 589232
Tobias Klausmann · gentoo
dev-lang/php-5.5.38-r0: add alpha keyword
Gentoo-Bug: 589232
Brian Evans · gentoo
dev-lang/php: Drop old versions
Package-Manager: portage-2.3.0
Brian Evans · gentoo
dev-lang/php: Version bump to 7.0.10
Package-Manager: portage-2.3.0
Brian Evans · gentoo
dev-lang/php: Version bump to 5.6.25
Package-Manager: portage-2.3.0
Markus Meier · gentoo
dev-lang/php: arm stable, bug #589232
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #589232
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm"
Michael Orlitzky · gentoo
dev-lang/php: use apxs from /usr/bin instead of /usr/sbin.
Gentoo-Bug: 502384 Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-lang/php: new revision of the 5.6 series updated to EAPI=6.
This new revision doesn't add any new features; it merely gets us on EAPI=6 moving forward. An "unused" 5.6 series ebuild was removed at the same time. Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-lang/php: new 7.x revision to fix the build on x86.
There is an upstream bug that causes the build to fail on x86 with gcc-4.9. There was an earlier fix for gcc-4.8, and this new revision has a fix that also works for gcc-4.9. And, since we're no longer inheriting depend.apache.eclass, I was finally able to update the ebuild to EAPI=6. A redundant earlier ebuild for php-7.0.9 was also removed. Gentoo-Bug: 571658 Package-Manager: portage-2.2.28
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #589232).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #589232).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA PPC64 (bug #589232).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #589232
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #589232
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Patrick Lauer · gentoo
dev-lang/php: Whitespace
Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: new 5.6 and 7.0 revisions to clean up metadata cruft.
The SRC_URI handling in our current ebuilds was a bit over-complicated. I've reorganized all of the metadata (KEYWORDS, SRC_URI, etc.) so that it's easier to understand. There were also some superfluous environment variables that have been removed. Package-Manager: portage-2.2.28
Brian Evans · gentoo
dev-lang/php: Security version bump wrt bug 587246
Also use .xz from upstream wrt bug 589692 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: new revisions dropping depend.apache/apache-module.eclass.
Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-lang/php: new revisions fixing opcache installation location logic.
We install the opcache extension with a call to dolib.so, which requires an earlier call to "into" to set its installation location. If the user enables any SAPIs other than apache2, that happens incidentally. However, if only the apache2 SAPI is enabled, the installation location is never set, ultimately causing the extension to fail to load. This is fixed by adding a call to "into" directly before the dolib.so call. Two calls to use_if_iuse were also replaced with the simpler "use". Gentoo-Bug: 550676 Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-lang/php: new edit/revision to hide some elog messages when possible.
Two of the elog messages that we show only need to be dealt with once. If the user has the recently-emerged slot of PHP in his PHP_TARGETS already, then we don't need to bug him about that. And if he has PHP_INI_VERSION set to a legal value, then we don't need to inform him about that either. A new revision is made for the php-5.6.x series. The 7.x series is not stable, so an in-place edit was made. Gentoo-Bug: 440574 Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-lang/php: remove old versions with security issues.
Gentoo-Bug: 578734 Gentoo-Bug: 581834 Gentoo-Bug: 584204 Gentoo-Bug: 587246 Package-Manager: portage-2.2.28
Markus Meier · gentoo
dev-lang/php: arm stable, bug #587246
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #587246
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm"
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #587246
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #581834
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #587246
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #581834
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #587246
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #581834
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Markus Meier · gentoo
dev-lang/php: arm stable, bug #584204
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #584204
Package-Manager: portage-2.3.0 RepoMan-Options: --include-arches="arm"
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #587246).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #584204).
Package-Manager: portage-2.3.0 RepoMan-Options: --ignore-arches
Tobias Klausmann · gentoo
dev-lang/php-5.6.23-r0: add alpha keyword
Gentoo-Bug: 584204 Package-Manager: portage-2.3.0
Tobias Klausmann · gentoo
dev-lang/php-5.5.37-r0: add alpha keyword
Gentoo-Bug: 584204 Package-Manager: portage-2.3.0
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #587246
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #587246
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-5.6.22-r0: add alpha keyword
Gentoo-Bug: 584204 Package-Manager: portage-2.3.0
Tobias Klausmann · gentoo
dev-lang/php-5.5.36-r0: add alpha keyword
Gentoo-Bug: 584204 Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-lang/php: version bump all three series for security fixes.
Gentoo-Bug: 587246 Package-Manager: portage-2.2.28
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #584204
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #584204
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Michael Orlitzky · gentoo
dev-lang/php: new revision of the 7.x series to fix our webp support.
In the 5.x series, libvpx was used to provide webp support to the gd library. It was pulled in with USE=vpx. In php-7.x, however, libvpx has been replaced with libwebp. The old USE=vpx flag no longer worked, so it has been replaced with USE=webp and eveything updated to use that for php-7.x. Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-lang/php: new security releases for all three supported series.
Gentoo-Bug: 584204 Package-Manager: portage-2.2.28
Tobias Klausmann · gentoo
dev-lang/php-5.6.21-r0: add alpha keyword
Gentoo-Bug: 581834 Package-Manager: portage-2.3.0_rc1
Tobias Klausmann · gentoo
dev-lang/php-5.5.35-r0: add alpha keyword
Gentoo-Bug: 581834 Package-Manager: portage-2.3.0_rc1
Markus Meier · gentoo
dev-lang/php: arm stable, bug #581834
Package-Manager: portage-2.3.0_rc1 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #581834
Package-Manager: portage-2.3.0_rc1 RepoMan-Options: --include-arches="arm"
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #581834).
Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #581834).
Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #581834
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #581834
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Brian Evans · gentoo
dev-lang/php: Drop PHP 5.4 slot which has been EOL for 6 months
Package-Manager: portage-2.2.28
Michael Orlitzky · gentoo
dev-lang/php: version bump all three series with security fixes.
Gentoo-Bug: 581834 Package-Manager: portage-2.2.26
Markus Meier · gentoo
dev-lang/php: arm stable, bug #578734
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #578734
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="arm"
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA PPC64 (bug #578734).
Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #578734).
Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #578734
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #578734
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Michael Orlitzky · gentoo
dev-lang/php: new versions of all three series with security fixes.
Gentoo-Bug: 578734 Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
dev-lang/php: remove old vulnerable php:5.5 and php:5.6 ebuilds.
Gentoo-Bug: 577376 Package-Manager: portage-2.2.26
Markus Meier · gentoo
dev-lang/php: arm stable, bug #577376
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #577376
Package-Manager: portage-2.2.28 RepoMan-Options: --include-arches="arm"
Michael Orlitzky · gentoo
dev-lang/php: remove vulnerable php-5.5.30 and php-5.6.14.
Gentoo-Bug: 571254 Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
dev-lang/php: revision the 7.0 series to add pdo-dblib support.
The PDO "dblib" driver was somehow lost during the transition from php:5.6 to php:7.0. I've added it back, and tested that it works with a simple query against a Microsoft SQL Server 2005 database. Gentoo-Bug: 576782 Package-Manager: portage-2.2.26
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #571254
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #573892
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ia64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #577376).
Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #577376).
Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #571254
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #573892
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="sparc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php-5.6.19-r0: add alpha keyword
Gentoo-Bug: 577376 Package-Manager: portage-2.2.28
Tobias Klausmann · gentoo
dev-lang/php-5.5.33-r0: add alpha keyword
Gentoo-Bug: 577376 Package-Manager: portage-2.2.28
Agostino Sarubbo · gentoo
dev-lang/php: ppc64 stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #573892
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #573892
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #577376
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Michael Orlitzky · gentoo
dev-lang/php: add new versions of the three supported series.
This adds php-5.5.33, php-5.6.19, and php-7.0.4 -- all bugfix/security releases. The DESCRIPTION of the new ebuilds was shortened to respect the 80-character limit. Support for LibreSSL was also added to the 5.6 and 7.0 series in the process. Gentoo-Bug: 575922 Package-Manager: portage-2.2.26
Brian Evans · gentoo
dev-lang/php: Update cli REQUIRED_USE to be exactly-one-of readline or libedit
Package-Manager: portage-2.2.27
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA PPC64 (bug #573892).
Package-Manager: portage-2.2.27 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #573892
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 573892 Package-Manager: portage-2.2.27
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 573892 Package-Manager: portage-2.2.27
Michael Orlitzky · gentoo
dev-lang/php: version bump all three slots for security fixes.
Gentoo-Bug: 573892 Package-Manager: portage-2.2.26
Brian Evans · gentoo
dev-lang/php: Adjust the REQUIRED_USE to be readline or libedit for cli
Package-Manager: portage-2.2.27
Michael Orlitzky · gentoo
dev-lang/php: enforce what was an elog warning with REQUIRED_USE.
The interactive "php -a" command-line interface will hang unless PHP is built with USE=readline. This used to be an elog warning, but was rather easy to overlook and mysterious to those who hit the bug. We already have REQUIRED_USE for our other flags, so it makes sense to enforce the cli dependency on readline there. Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
dev-lang/php: remove "minor" from "minor version slotting" in elogs.
Now that PHP upstream is playing fast and loose with their versioning, our slotting applies to major versions as well as minor ones. Remove the word "minor" since it's no longer correct. Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
dev-lang/php: call `eselect php cleanup` in pkg_postinst and pkg_postrm.
We have two bugs (432962 and 572436) regarding stale eselect symlinks. The first issue is that removal of an old slot does not update the eselect-php symlinks to point to a newer slot. Thus, if a user upgrades slots and depcleans the old one, his symlinks (and thus PHP) are left broken until eselect-php is run manually. This is fixed by running `eselect php cleanup` in pkg_postrm, since removal of the old slot will trigger a cleanup (which updates the symlink). The second issue is that disabling a SAPI would leave behind a broken symlink. For example, if the "cgi" SAPI was once used but the user has reinstalled PHP with USE="-cgi", then the old eselect-php symlink for php-cgi would be left behind. This is fixed by running `eselect php cleanup` in pkg_postinst, since that will be triggered after the reinstall finishes, at which point the php-cgi symlink will be dead and thus get removed. Gentoo-Bug: 432962 Gentoo-Bug: 572436 Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
dev-lang/php: revision the 5.6 and 7.0 series to add sys-libs/db:5.3 support.
We had to leave db:5.3 out of our dependency string until now because the upstream build system couldn't detect it. The latest v5.6.17 and v7.0.2 will find it, though, so we add it as an option. Gentoo-Bug: 564824 Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
dev-lang/php: revision the 5.6 and 7.0 series to add pdo-firebird support.
PHP has two Firebird drivers -- the legacy "interbase" driver and the new pdo-firebird driver. We have always supported the legacy driver with USE=firebird, but were missing the pdo-firebird configure flag when USE="pdo firebird" was set. Similar tricks were in place for e.g. sqlite and oci8, but Firebird was forgotten. Dmitry A. Bakshaev was nice enough to point this out in bug 538226, and even supplied a patch. Testing shows that both drivers work in php:5.6, but that only the PDO driver works in php:7.0. That's not a regression; this commit adds the only driver that works in php:7.0. Gentoo-Bug: 538226 Suggested-By: Dmitry A. Bakshaev Package-Manager: portage-2.2.26
Michael Orlitzky · gentoo
dev-lang/php: revision the 5.6 and 7.0 series to set --localstatedir.
The php-fpm.conf file uses the @localstatedir@ passed to ./configure as its default prefix for some settings. The econf default for localstatedir is ${EPREFIX}/var/lib, but php-fpm.conf is expecting ${EPREFIX}/var, so we pass that instead. This ensures that the default log location (e.g. /var/log) actually exists. Gentoo-Bug: 572002 Package-Manager: portage-2.2.26
Ian Delaney · gentoo
Merge remote-tracking branch 'remotes/Coacher/mpv-verbump-to-0.15.0'
Pull request: https://github.com/gentoo/gentoo/pull/675
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA PPC64 (bug #571254).
Package-Manager: portage-2.2.26 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #571254
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 571254 Package-Manager: portage-2.2.26
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 571254 Package-Manager: portage-2.2.26
Markus Meier · gentoo
dev-lang/php: arm stable, bug #571254
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #571254
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="arm"
Andreas Schuerch · gentoo
dev-lang/php: 5.5.31 and 5.6.17 stable on x86, see bug 571254
Package-Manager: portage-2.2.26
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #571254
Package-Manager: portage-2.2.26 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Ian Delaney · gentoo
Merge remote-tracking branch 'remotes/Coacher/mpv-keep-build-timestamps-in-live-ebuild'
Pull request: https://github.com/gentoo/gentoo/pull/62
Michael Orlitzky · gentoo
dev-lang/php: replace v5.6.16 with v5.6.17 as part of bug #571254.
Package-Manager: portage-2.2.24
Michael Orlitzky · gentoo
dev-lang/php: add version 5.5.31 as part of bug #571254.
Package-Manager: portage-2.2.24
Amadeusz Żołnowski · gentoo
Merge branch 'master' of git+ssh://git.gentoo.org/repo/gentoo
Michael Orlitzky · gentoo
dev-lang/php: version bump 7.0.1 -> 7.0.2.
Package-Manager: portage-2.2.24
Michael Orlitzky · gentoo
dev-lang/php: update the apache2 post-install notification about mod_php.
Newer versions of app-eselect/eselect-php require some apache configuration changes. This configuration is mentioned in the dev-lang/php pkg_postinst() phase, which isn't ideal, but is what it is. Since php:7.0 requires the new eselect-php, the pkg_postinst() for php:7.0 has been updated to reflect the configuration changes. Thanks to Tomáš Mózes for pointing this out. Gentoo-Bug: 552156 Package-Manager: portage-2.2.24
Michael Orlitzky · gentoo
dev-lang/php: remove php-7.0.0; use php-7.0.1 instead.
Package-Manager: portage-2.2.24
Brian Evans · gentoo
dev-lang/php: Version bump including phpdbg support
Package-Manager: portage-2.2.26
Ole Markus With · gentoo
dev-lang/php: Remove php 7.0 rcs
Package-Manager: portage-2.2.20.1
Ole Markus With · gentoo
dev-lang/php: Version bump: php 7.0.0
Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: version bump the 5.6.x series.
This is a straightforward version bump, and also removes a patch against 5.6.15 that was fixed in 5.6.16. Package-Manager: portage-2.2.20.1
Ole Markus With · gentoo
dev-lang/php: bump php7 rc
Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: revision the 5.6.x and 7.x series to use upstream php-fpm.conf.
There are a few changes batched together here. The main purpose of the new revisions is to stop using our bundled php-fpm.conf (from php-5.3) and switch to the one provided by upstream. This is bug 559116. In the 5.6.x series, this is trivial: we just install the php-fpm.conf from the tarball. But in 7.x, upstream has split the FPM config into pieces. Their default "include" path needed to be changed for our slotting, so that has been done with a `sed` in src_prepare(). We then install the split "www.conf" config file in the location that was enshrined with `sed`. Next, the autotools-utils eclass was dropped. The functionality from src_configure() was inlined. This is due to the deprecation of that eclass; see, https://blogs.gentoo.org/mgorny/2015/11/13/the-ultimate-guide-to-eapi-6/ Finally, the db-use eclass was dropped. It was no longer used. Gentoo-Bug: 559116 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove two superceded versions with security vulnerabilities.
Gentoo-Bug: 562882 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove old revision of php-5.6.15.
Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove old PHP 7 release candidates.
Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: version bump the 7.x series.
Package-Manager: portage-2.2.20.1
Mikle Kolyada · gentoo
dev-lang/php: ia64 stable wrt bug #562882
Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: revbump dev-lang/php-7.0.0_rc6 to fix QA issues.
This commit makes the same changes as ec5104f, only for the latest 7.x series ebuild. The 7.x series is already package.masked. Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: revbump dev-lang/php-5.6.15 to fix QA issues.
This commit fixes a number of issues in the php-5.6.15-r2 ebuild: * The ./configure handling is rewritten to use autotools-utils. This is the most invasive (and dangerous) change, but fixes all of the unquoted $EPREFIX appearing throughout src_configure. * Add die() statements to sed, cp, cd, etc. commands. * Remove die() statements on helper functions (we're using EAPI 5). * Line-wrap some long lines. Ideally this should behave the same as -r2, but since the change is so invasive, -r3 is being added masked. Package-Manager: portage-2.2.20.1
Markus Meier · gentoo
dev-lang/php: arm stable, bug #562882
Package-Manager: portage-2.2.23 RepoMan-Options: --include-arches="arm"
Markus Meier · gentoo
dev-lang/php: arm stable, bug #562882
Package-Manager: portage-2.2.23 RepoMan-Options: --include-arches="arm"
Michael Orlitzky · gentoo
dev-lang/php: don't depend on versions of sys-libs/db that won't be detected.
In bug #564824, Robert Förster noticed that there's an issue building PHP with both sys-libs/db-5.3 and sys-libs/db-6.0 installed. The root cause of the failure is that PHP attempts to autodetect sys-libs/db, but doesn't specifically look for db-5.3. When db-5.3 is not found, it falls back to /usr/include/db.h from version 6.0 and that version is incompatible. A similar issue exists with older 4.x versions, but not with db-4.5 through db-5.1. A fix has been sent upstream for db-5.3. In the meantime, we remove that and the older 4.x versions from $DEPEND. Gentoo-Bug: 564824 Package-Manager: portage-2.2.20.1
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #562882
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="sparc"
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #562882
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="ppc"
Michael Orlitzky · gentoo
dev-lang/php: remove two obsolete addpredict() calls.
We had two calls to addpredict() at the top of src_prepare(). Supposedly they were needed with USE="session sharedmem"; however, testing shows that they are no longer necessary. The build succeeds fine without the addpredict() calls, so we remove them. Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: version bump the 7.x series and fix bug #521222.
This adds the sixth release candidate of php-7.0.0, leaving rc4 and rc5 behind. No changes were needed to the ebuild, but to avoid a later revbump, the sys-libs/db dependency was updated according to bug is gone. Gentoo-Bug: 521222 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: revbump php-5.6.15 to fix a segfault.
The segfault issue was reported in bug #564690 by Zoltán Halassy. There is an upstream fix that we've added as a patch. The problem/fix have both been confirmed. Since this requires a revbump, the sys-libs/db dependency has been fixed along with it according to bug #521222. It still remains to address that issue for the php-7.x series. Gentoo-Bug: 521222 Gentoo-Bug: 564690 Package-Manager: portage-2.2.20.1
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 562882 Package-Manager: portage-2.2.23
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 562882 Package-Manager: portage-2.2.23
Michael Orlitzky · gentoo
dev-lang/php: depend on SLOT=0 of sys-libs/readline.
The sys-libs/readline package has three slots, two of which are kept around for ABI compatibility. Packages generally build against SLOT=0, and that's the one we want, so this adds the slot operator to the dependency. Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: depend on SLOT=0 of dev-libs/gmp.
The dev-libs/gmp package has two slots, one of which is only kept around for the libgmp.so.3 ABI SONAME. We want to build against SLOT=0, so depend on that. Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: add "any slot" operator to our dev-db/postgresql dependency.
This does not change the current behavior, and silences a repoman warning. I also believe it is correct: dev-db/postgresql is slotted along major (e.g. 9.3, 9.4) version lines. The libpq interface doesn't seem to break between those versions, and mailing list discussions by the Postgres devs indicate that they'd prefer to avoid that kind of breakage. Gentoo-Bug: 551526 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: use "+=" consistently for appending to $my_conf.
There were a few places still using my_conf="${my_conf} ..." to append to the my_conf variable. Update them all to use the "append" operator. Gentoo-Bug: 551526 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove second redundant "if use oci8-instant-client" check.
This fixes the same issue as 7c05e6f, but in another spot in the ebuild. Gentoo-Bug: 551526 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove redundant "if use oci8-instant-client" check.
The use_with function doesn't do anything if its USE flag is disabled, so there's no reason to wrap use_with in "if use...". Gentoo-Bug: 551526 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove redundant "if use iodbc" check.
The use_with function doesn't do anything if its USE flag is disabled, so there's no reason to wrap use_with in "if use...". This use_with block was also merged with the one for USE=odbc. Gentoo-Bug: 551526 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove redundant "if use odbc" check.
The use_with function doesn't do anything if its USE flag is disabled, so there's no reason to wrap use_with in "if use...". Gentoo-Bug: 551526 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: remove redundant "if use firebird" check.
The use_with function doesn't do anything if its USE flag is disabled, so there's no reason to wrap use_with in "if use...". Gentoo-Bug: 551526 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: slot openssl dependency.
The dev-libs/openssl package now has two slots. The SLOT=0.9.8 is for binary compatibility, and SLOT=0 is what most packages should depend on. Adding ":0" to our openssl dependency ensures that we get the correct slot, and silences a repoman warning. The lower bound on openssl was also removed since all versions in the tree satisfied it. Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: replace dead URL in postinst, bug #564432 by Ortwin Glueck.
The postinst message was pointing people to https://www.gentoo.org/proj/en/php/php-upgrading.xml which now simply 404s. Its spiritual successor is on the wiki, so the postinst message has been updated to send people there. Gentoo-Bug: 564432 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: fix typo "chose" -> "choose", bug #537904 by David Flogeras.
Gentoo-Bug: 537904 Package-Manager: portage-2.2.20.1
Michael Orlitzky · gentoo
dev-lang/php: version bump adding php-5.6.15.ebuild.
Package-Manager: portage-2.2.20.1
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #562882).
Package-Manager: portage-2.2.23 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #562882).
Package-Manager: portage-2.2.23 RepoMan-Options: --ignore-arches
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #562882).
Package-Manager: portage-2.2.23 RepoMan-Options: --ignore-arches
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #562882
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="x86"
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #562882
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="amd64"
Ole Markus With · gentoo
dev-lang/php: Bump php RC
Package-Manager: portage-2.2.18
Ole Markus With · gentoo
dev-lang/php: Cleanup of old ebuilds
Package-Manager: portage-2.2.18
Ole Markus With · gentoo
dev-lang/php: Version bumps
Package-Manager: portage-2.2.18
Markus Meier · gentoo
dev-lang/php: arm stable, bug #559612
Package-Manager: portage-2.2.20.1
Ole Markus With · gentoo
dev-lang/php: bump PHP 7 RC
Package-Manager: portage-2.2.18
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 559612 Package-Manager: portage-2.2.20.1
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 559612 Package-Manager: portage-2.2.20.1
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 559612 Package-Manager: portage-2.2.20.1
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #559612).
Package-Manager: portage-2.2.20.1
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #559612
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="sparc"
Agostino Sarubbo · gentoo
dev-lang/php: ia64 stable wrt bug #559612
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="ia64"
Agostino Sarubbo · gentoo
dev-lang/php: ppc64 stable wrt bug #559612
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="ppc64"
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #559612
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="ppc"
Agostino Sarubbo · gentoo
dev-lang/php: x86 stable wrt bug #559612
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="x86"
Agostino Sarubbo · gentoo
dev-lang/php: amd64 stable wrt bug #559612
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="amd64"
Ole Markus With · gentoo
dev-lang/php: Cleanup of old ebuilds
Package-Manager: portage-2.2.18
Agostino Sarubbo · gentoo
dev-lang/php: sparc stable wrt bug #556952
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="sparc"
Ole Markus With · gentoo
dev-lang/php: Version bumps
Package-Manager: portage-2.2.18
Agostino Sarubbo · gentoo
dev-lang/php: ppc stable wrt bug #556952
Package-Manager: portage-2.2.20.1 RepoMan-Options: --include-arches="ppc"
Justin Lecher · gentoo
Enable https for all google URIs
Signed-off-by: Justin Lecher <jlec@gentoo.org>
Ole Markus With · gentoo
dev-lang/php: Added first PHP 7.0.0 RC
Justin Lecher · gentoo
Use https by default
Convert all URLs for sites supporting encrypted connections from http to https Signed-off-by: Justin Lecher <jlec@gentoo.org>
Markus Meier · gentoo
dev-lang/php: arm stable, bug #556952
Package-Manager: portage-2.2.20.1
Mikle Kolyada · gentoo
dev-lang/php: ia64 stable wrt bug #543834
Package-Manager: portage-2.2.20.1
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #556952).
Package-Manager: portage-2.2.20.1
Jeroen Roovers · gentoo
dev-lang/php: Stable for HPPA (bug #556952).
Package-Manager: portage-2.2.20.1
Jeroen Roovers · gentoo
dev-lang/php: Stable for PPC64 (bug #556952).
Package-Manager: portage-2.2.20.1
Mikle Kolyada · gentoo
dev-lang/php: x86 stable wrt bug #556952
Package-Manager: portage-2.2.20
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 556952 Package-Manager: portage-2.2.20
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 556952 Package-Manager: portage-2.2.20
Tobias Klausmann · gentoo
dev-lang/php: add alpha keyword
Gentoo-Bug: 556952 Package-Manager: portage-2.2.20
Mikle Kolyada · gentoo
dev-lang/php: amd64 stable wrt bug 556952
Package-Manager: portage-2.2.20
Robin H. Johnson · gentoo
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed